# $Revision: 1.5 $, $Date: 2005/12/12 15:19:32 $
%define		dictname mueller24
Summary:	English-Russian dictionary for dictd
Summary(pl):	Sownik angielsko-rosyjski dla dictd
Name:		dict-%{dictname}
Version:	1.6
Release:	1
License:	unknown
Group:		Applications/Dictionaries
Source0:	http://mueller-dic.chat.ru/Mueller24.tgz
# Source0-md5:	386d71c149f3f793d3ff064fd4b16c65
# This one is compressed with szip: http://www.compressconsult.com/szip
#Source0:	http://www.geocities.com/mueller_dic/Mueller24.tgz
Source1:	http://www.math.sunysb.edu/~comech/tools/to-dict
# Source1-md5:	3c1b69c290fb4c06bf3456baf5bf8b97
URL:		http://mueller-dic.chat.ru/
BuildRequires:	dictfmt
BuildRequires:	dictzip
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Electronic version of 24th edition of English-Russian dictionary by V.
K. Mueller.

%description -l pl
Elektroniczna wersja 24. wydania sownika angielsko rosyjskiego V. K.
Muellera.

%prep
%setup -q -c

%build
cp %{SOURCE1} .
chmod +x ./to-dict
./to-dict --src-data usr/local/share/dict/Mueller24.koi mueller24.data
./to-dict --data-dict mueller24.data mueller24 && rm -f mueller24.data

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# Mueller English-Russian dictionary, 24-th edition (%{version})
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
mv %{dictname}.* $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%files
%defattr(644,root,root,755)
%doc usr/local/share/mova/Mueller24.txt
%lang(ru) %doc usr/local/share/mova/Mueller24_koi.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-mueller24.spec,v $
Revision 1.5  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.4  2003/06/16 19:22:51  blues
- small fixes based on changes by kloczek

Revision 1.3  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:46:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/08 15:41:48  gotar
- initial PLD release
